package com.steerinfo.dil.controller;

import com.steerinfo.dil.service.impl.RmsPersonnelServiceImpl;
import com.steerinfo.dil.util.BaseRESTfulController;
import com.steerinfo.dil.util.PageListAdd;
import com.steerinfo.framework.controller.RESTfulResult;
import com.steerinfo.framework.service.pagehelper.PageHelper;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author:HuJianGuo
 * @GreateTime:2021/10/23 17:34
 * @Version:V2.0
 */
@RestController
@RequestMapping("/${api.version}/rmspersonnel")
public class RmsPersonnelController extends BaseRESTfulController {

    @Autowired
    RmsPersonnelServiceImpl rmsPersonnelService;


    /**
     * 人员管理对接接口
     *
     * @param mapVal
     * @return
     */
    @ApiModelProperty(value = "人员管理对接接口")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "EASPersonnelId", value = "1", required = true, dataType = "Integer"),
            @ApiImplicitParam(name = "personnelJobNumber", value = "20210008", required = true, dataType = "String"),
            @ApiImplicitParam(name = "personnelName", value = "张三", required = true, dataType = "String"),
            @ApiImplicitParam(name = "personnelSex", value = "男", required = true, dataType = "String"),
            @ApiImplicitParam(name = "dataStatus", value = "1", required = true, dataType = "Integer"),
    })
    @PostMapping("/operationPersonnel")
    public RESTfulResult operationPersonnel(@RequestBody Map<String, Object> mapVal) {
        int result = rmsPersonnelService.operationPersonnel(mapVal);
        return success(result);
    }



}
